Patch
/Transport/api/shipment/{shipmentReference}
Path parameters
shipmentReference
stringRequired
Body parameters
object
transportProviderCode
string
warehouseNumber
string
shipmentReference
string
consignmentReference
string
orderReference
string
shipmentDate
string (date-time)
estimatedDepartureDate
string (date-time)
estimatedArrivalDate
string (date-time)
readyForDispatch
boolean
cancelled
boolean
supplementTransportOrder
boolean
consignor
object (Transport_Consignor)
name
string
address1
string
address2
string
postalCode
string
city
string
countryCode
string
contact
string
email
string
phone
string
consignee
object (Transport_Consignee)
name
string
address1
string
address2
string
postalCode
string
city
string
countryCode
string
contact
string
email
string
phone
string
reference
string
from
object (Transport_Address)
name
string
address1
string
address2
string
postalCode
string
city
string
countryCode
string
contact
string
email
string
phone
string
to
object (Transport_Address)
name
string
address1
string
address2
string
postalCode
string
city
string
countryCode
string
contact
string
email
string
phone
string
deliveryInformation1
string
deliveryInformation2
string
totalPackages
integer (int32)
totalWeight
number
totalVolume
number
version
integer (int32)
shipmentLines
Array of object (Transport_ShipmentLine)
object
lineNumber
integer (int32)
articleNumber
string
articleText
string
quantity
number
unitCode
string
weight
number
volume
number
packages
Array of object (Transport_ShipmentPackage)
object
packageId
string
sscc
string
location
string
articles
Array of object (Transport_PackageArticle)
object
articleNumber
string
articleText
string
quantity
number
unitCode
string
weight
number
volume
number
Responses
200
OK
object
transportProviderCode
string
warehouseNumber
string
shipmentReference
string
consignmentReference
string
orderReference
string
shipmentDate
string (date-time)
estimatedDepartureDate
string (date-time)
estimatedArrivalDate
string (date-time)
readyForDispatch
boolean
cancelled
boolean
supplementTransportOrder
boolean
consignor
object (Transport_Consignor)
name
string
address1
string
address2
string
postalCode
string
city
string
countryCode
string
contact
string
email
string
phone
string
consignee
object (Transport_Consignee)
name
string
address1
string
address2
string
postalCode
string
city
string
countryCode
string
contact
string
email
string
phone
string
reference
string
from
object (Transport_Address)
name
string
address1
string
address2
string
postalCode
string
city
string
countryCode
string
contact
string
email
string
phone
string
to
object (Transport_Address)
name
string
address1
string
address2
string
postalCode
string
city
string
countryCode
string
contact
string
email
string
phone
string
deliveryInformation1
string
deliveryInformation2
string
totalPackages
integer (int32)
totalWeight
number
totalVolume
number
version
integer (int32)
shipmentLines
Array of object (Transport_ShipmentLine)
object
lineNumber
integer (int32)
articleNumber
string
articleText
string
quantity
number
unitCode
string
weight
number
volume
number
packages
Array of object (Transport_ShipmentPackage)
object
packageId
string
sscc
string
location
string
articles
Array of object (Transport_PackageArticle)
object
articleNumber
string
articleText
string
quantity
number
unitCode
string
weight
number
volume
number